package com.persagy.ztkedgeclouddatasecurity;

import cn.shuibo.annotation.EnableSecurity;
import com.persagy.ztkedgeclouddatasecurity.config.YmlPropertySourceFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.PropertySource;
import org.springframework.scheduling.annotation.EnableAsync;

@EnableAsync
@EnableSecurity
@PropertySource(value = "classpath:application-${spring.profiles.active}.yml", encoding = "UTF-8",factory = YmlPropertySourceFactory.class)
@ServletComponentScan
@SpringBootApplication
public class ZtkEdgeclouddatasecurityApplication {
//	@Autowired
//	private DirectoryMonitorService directoryMonitorService;

//	@Bean
//	public ApplicationRunner startDirectoryMonitorService() {
//		return args -> directoryMonitorService.monitorSourceDirectoty();
//	}

	public static void main(String[] args) {
		SpringApplication.run(ZtkEdgeclouddatasecurityApplication.class, args);
	}



}
