package com.persagy.ztkedgeclouddatasecurity.config;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Service
public class FactoryForStrategy {

    @Value("${listener.port}")
    private String listenerPort;


    Map<String, EdgeToCloudServiceInterface> strategys = new ConcurrentHashMap<>();

    public EdgeToCloudServiceInterface getStrategy(String component) throws Exception {
        EdgeToCloudServiceInterface strategy = strategys.get(component);
        if (strategy == null) {
            throw new RuntimeException("no strategy defined");
        }
        return strategy;
    }



//    String[] infolist= listenerPort.split(",");
//    for(int i=0;i<infolist)

}
