package com.persagy.ztkedgeclouddatasecurity.controller;

import cn.shuibo.annotation.Decrypt;
import cn.shuibo.annotation.Encrypt;
import com.persagy.ztkedgeclouddatasecurity.config.SystemProperties;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.web.bind.annotation.*;

@RestController
@EnableAutoConfiguration
@RequestMapping("/project")
public class TestEnDeServiceController {


    /**
     * 对返回值加密
     * @return
     */
    @Encrypt
    @GetMapping("/encryt")
    public String test01(@RequestParam String Str ){

        return Str;
    }

    /**
     * 对传过来的加密参数进行解密
     * @param testBean
     * @return
     */
    @Decrypt
    @PostMapping("/decrypt")
    public String test02(@RequestBody String testBean){
        return testBean;
    }

    @GetMapping("/config")
    public Object test1(@RequestParam String name) {
        return SystemProperties.getByName(name);
    }



}

