package com.persagy.ztkedgeclouddatasecurity.kafkatask;

import com.persagy.ztkedgeclouddatasecurity.entity.ChattingUser;
import com.persagy.ztkedgeclouddatasecurity.entity.NettyMessageQueue;
import com.persagy.ztkedgeclouddatasecurity.kafka.EdgeKafkaProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.core.annotation.Order;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import java.util.concurrent.BlockingQueue;

@Component
@Order(2)
@ConditionalOnProperty(prefix = "spring", name="location", havingValue="Edge")
public class EdgeSendToKakfaTaskJob implements CommandLineRunner {

    private static BlockingQueue messageQueue = null;
    public  ChattingUser chattingUser;
    @Autowired
    private EdgeKafkaProducer kafkaProducer;
    @Override
    @Async
    public void run(String... args) throws Exception {

        while (true){

            if ( NettyMessageQueue.getNettyMessageQueue().consume() !=null){

                    if (NettyMessageQueue.getNettyMessageQueue().consume().size()>0){
                        kafkaProducer.producerMsg(NettyMessageQueue.getNettyMessageQueue().consume());
                    }

            }


        }




    }


}
